<?php
date_default_timezone_set('America/Lima');
$enumeracion = 1;
 
//Activamos el almacenamiento en el buffer
ob_start();
if (strlen(session_id()) < 1) 
  session_start();

if (!isset($_SESSION["nombre"]))
{
  echo 'Debe ingresar al sistema correctamente para visualizar el reporte';
}
else
{
if ($_SESSION['ventas']==1)
{

//Inlcuímos a la clase PDF_MC_Table
require('PDF_MC_Table_v.php');

//Instanciamos la clase para generar el documento pdf
$pdf=new PDF_MC_Table( 'P', 'mm', 'A4' );
 
//Agregamos la primera página al documento pdf
$pdf->AddPage();

//Seteamos el inicio del margen superior en 25 pixeles 
$y_axis_initial = 25;
 
//Encabezado principal 
//$pdf->Cell(40,10,date('d/m/Y'),0,1,'L'); 

$pdf->SetFont('Arial','B',16);
//$pdf->Cell(86,6,'111',0,0,'C');
$pdf->Cell(200,6,'Consettur Machupicchu S.A.C.',0,0,'C');
$pdf->Ln(8);

$pdf->SetFont('Arial','B',12);
//$pdf->Cell(86,6,'',0,0,'C');
$pdf->Cell(200,6,'Bienes de mayor y menor cuantia',0,0,'C'); 
$pdf->Ln(-5);
$pdf->Image('logo.jpg',15,6,22);

$pdf->SetFont('Arial','B',9);
//$pdf->Cell(195,5,'Fecha',1,0,'C');
$pdf->Cell(345,5,date('d/m/Y'),0,1,'C'); 
//$pdf->Cell(195,5,'Hora',1,0,'C');
$pdf->Cell(345,5,date('h:i:s'),0,1,'C'); 
//$pdf->Cell(195,5,'Usuario',1,0,'C');
//$pdf->Cell(205,5,'enumeracion++',1,1,'C'); 
$pdf->Ln(15);




//Seteamos el tipo de letra y creamos el título de la página. No es un encabezado no se repetirá
$pdf->SetFont('Arial','B',13);

//$pdf->Cell(5,1,'',0,0,'C');
$pdf->Cell(200,6,'RELACION DE MOVIMIENTO DE BIENES PATRIMONIALES',0,0,'C'); 
$pdf->Ln(9);
 
//Creamos las celdas para los títulos de cada columna y le asignamos un fondo gris y el tipo de letra
$pdf->SetFillColor(236, 191, 7 ); 
$pdf->SetFont('Arial','B',9);
//$pdf->Cell(8,6,'#',1,0,'C',1); 
$pdf->Cell(15,5,'FECHA',1,0,'C',1);
$pdf->Cell(35,5,'RESPONSABLE.',1,0,'C',1);
$pdf->Cell(20,5,'CARGO',1,0,'C',1);
$pdf->Cell(35,5,'AREA',1,0,'C',1);
$pdf->Cell(25,5,'UBICACION',1,0,'C',1);
$pdf->Cell(10,5,'R.C.',1,0,'C',1);
$pdf->Cell(15,5,'VALOR',1,0,'C',1);
$pdf->Cell(20,5,'USUARIO',1,0,'C',1);
$pdf->Cell(18,5,'ESTADO',1,0,'C',1);
$pdf->Ln(5);
//Comenzamos a crear las filas de los registros según la consulta mysql
require_once "../modelos/Venta.php";
$venta = new Venta();

$rspta = $venta->listar();

//Table with rows and columns
$pdf->SetWidths(array(15,35,20,35,25,10,15,20,18));

while($reg= $rspta->fetch_object())
{  
    //$iddetalle_venta = $reg->iddetalle_venta;
    
    $fecha = $reg->fecha;
    $cliente = $reg->cliente;
    $cargo = $reg->cargo;
    $area = $reg->area;
    $ubicacion = $reg->ubicacion;
    $rc = $reg->rc;
    $total_venta = $reg->total_venta;
    $login = $reg->login;
    $estado = $reg->estado;
    
 	
 	$pdf->SetFont('Arial','',8.5);
    $pdf->Row(array($fecha,utf8_decode($cliente),utf8_decode($cargo),utf8_decode($area),utf8_decode($ubicacion),utf8_decode($rc),utf8_decode($total_venta),utf8_decode($login),utf8_decode($estado)));
}
 
//Mostramos el documento pdf
$pdf->Output();

?>
<?php
}
else
{
  echo 'No tiene permiso para visualizar el reporte';
}

}
ob_end_flush();
?>